Bug 165787 - port/dvdisaster dumps core on RELENG_9/amd64
port/dvdisaster dumps core on RELENG_9/amd64
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 19:40 UTC by cpghost
Modified: 2012-03-17 11:28 UTC (History)
0 users

See Also:


Attachments
file.diff (565 bytes, patch)
2012-03-06 19:40 UTC, cpghost
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cpghost 2012-03-06 19:40:14 UTC
The port sysutils/dvdisaster dumps core on RELENG_9 (it didn't on RELENG_8).

Fix: Attached is a patch that temporarily disables the code which causes the coredump.
Use at your own risk: I don't know what ramifications this would have in
practice. With this kludge, dvdisaster works again on my system.

Maybe the patch should be conditioned on the FreeBSD version, so that it
only works on RELENG_9 (and later)? I suspect changes in the CAM layer
API/ABI to be responsible for the breakage.

This is only a temporary workaround, until upstream fixes the problem.

Put the attached patch file in /usr/ports/sysutils/dvdisaster/files
and rebuild/reinstall the port.

Patch attached with submission follows:
How-To-Repeat: Run dvdisaster without options, and watch it crash immediately before
even showing the GUI.
Comment 1 dfilter freebsd_committer 2012-03-15 15:15:14 UTC
scheidell    2012-03-15 15:15:00 UTC

  FreeBSD ports repository

  Modified files:
    dns/knot             Makefile 
  Log:
  - Add ONLY_FOR_ARCHS= i386 amd64
  - No PORTREVISION bump
  
  PR:             ports/165787

XXX crees PR: ports/165798

  Reported by:    Anton Shterenlikht <mexas@bristol.ac.uk>
  Approved by:    Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer, implicit)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.2       +2 -0      ports/dns/knot/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 dfilter freebsd_committer 2012-03-17 11:17:12 UTC
crees       2012-03-17 11:16:55 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/dvdisaster  Makefile 
  Added files:
    sysutils/dvdisaster/files patch-scsi-freebsd.c 
  Log:
  Fix segfault while detecting drives due to 9x changes in CAM
  
  PR:             ports/165938
  Submitted by:   Corey Halpin <chalpin@cs.wisc.edu> (author/maintainer)
  
  Also fixes:
  
  PR:             ports/164464
  PR:             ports/165787
  Feature safe:   yes
  
  Revision  Changes    Path
  1.20      +1 -0      ports/sysutils/dvdisaster/Makefile
  1.1       +11 -0     ports/sysutils/dvdisaster/files/patch-scsi-freebsd.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Chris Rees freebsd_committer 2012-03-17 11:17:45 UTC
State Changed
From-To: open->closed

Fixed in ports/165938